Package uk.ac.starlink.datanode.nodes

# Class IconFactory

java.lang.Object
uk.ac.starlink.datanode.nodes.IconFactory

public class IconFactory extends Object
Returns `Icon`s for use in identifying objects.

Version:
  $Id$
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`ARY0`
`static final short`
`ARY1`
`static final short`
`ARY2`
`static final short`
`ARY3`
`static final short`
`CASCADE`
`static final short`
`CLOSE`
`static final short`
`COMPRESSED`
`static final short`
`DATA`
`static final short`
`DELETE`
`static final short`
`DEMO`
`static final short`
`DIRECTORY`
`static final short`
`DOWN`
`static final short`
`ERROR`
`static final short`
`EXCISE`
`static final short`
`EXIT`
`static final short`
`FILE`
`static final short`
`FITS`
`static final short`
`FRAME`
`static final short`
`HANDLE_COLLAPSE`
`static final short`
`HANDLE_EXPAND`
`static final short`
`HANDLE1`
`static final short`
`HANDLE2`
`static final short`
`HDU`
`static final short`
`HDX_CONTAINER`
`static final short`
`HELP`
`static final short`
`HIERARCH`
`static final short`
`HISTORY`
`static final short`
`HISTORY_RECORD`
`static final short`
`HOME`
`static final String`
`IMAGE_PATH`
`static final short`
`LEAF`
`static final short`
`LOAD`
`static final short`
`MYSPACE`
`static final short`
`NDF`
`static final short`
`NDX`
`static final short`
`NO_ICON`
`static final short`
`OPEN`
`static final short`
`PARENT`
`static final short`
`RELOAD`
`static final short`
`SCALAR`
`static final short`
`SKYFRAME`
`static final short`
`SOG`
`static final short`
`SPECFRAME`
`static final short`
`SPLAT`
`static final short`
`SPLIT_BELOW`
`static final short`
`SPLIT_BESIDE`
`static final short`
`SPLIT_NONE`
`static final short`
`STAR_LOGO`
`static final short`
`STARLINK_LOGO`
`static final short`
`STOP`
`static final short`
`STRUCTURE`
`static final short`
`TABLE`
`static final short`
`TARBRANCH`
`static final short`
`TARFILE`
`static final short`
`TOPCAT`
`static final short`
`TREE`
`static final short`
`TREE_LOGO`
`static final short`
`UP`
`static final short`
`VOCOMPONENT`
`static final short`
`VOTABLE`
`static final short`
`WCS`
`static final short`
`WHAT`
`static final short`
`XML_CDATA`
`static final short`
`XML_COMMENT`
`static final short`
`XML_DOCUMENT`
`static final short`
`XML_DTD`
`static final short`
`XML_ELEMENT`
`static final short`
`XML_EREF`
`static final short`
`XML_PI`
`static final short`
`XML_STRING`
`static final short`
`ZIPBRANCH`
`static final short`
`ZIPFILE`

## Method Summary

Modifier and Type
Method
Description
`static short`
`getArrayIconID(int ndim)`
`static Icon`
`getIcon(short id)`
Gets the icon with the given ID.
`static URL`
`getIconURL(short id)`
Gets a URL for the icon with the given ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMAGE_PATH

public static final String IMAGE_PATH

See Also:
  - Constant Field Values

### NO_ICON

public static final short NO_ICON

See Also:
  - Constant Field Values

### STOP

public static final short STOP

See Also:
  - Constant Field Values

### EXIT

public static final short EXIT

See Also:
  - Constant Field Values

### HELP

public static final short HELP

See Also:
  - Constant Field Values

### DEMO

public static final short DEMO

See Also:
  - Constant Field Values

### LOAD

public static final short LOAD

See Also:
  - Constant Field Values

### SPLIT_NONE

public static final short SPLIT_NONE

See Also:
  - Constant Field Values

### SPLIT_BELOW

public static final short SPLIT_BELOW

See Also:
  - Constant Field Values

### SPLIT_BESIDE

public static final short SPLIT_BESIDE

See Also:
  - Constant Field Values

### CASCADE

public static final short CASCADE

See Also:
  - Constant Field Values

### EXCISE

public static final short EXCISE

See Also:
  - Constant Field Values

### OPEN

public static final short OPEN

See Also:
  - Constant Field Values

### CLOSE

public static final short CLOSE

See Also:
  - Constant Field Values

### RELOAD

public static final short RELOAD

See Also:
  - Constant Field Values

### DELETE

public static final short DELETE

See Also:
  - Constant Field Values

### UP

public static final short UP

See Also:
  - Constant Field Values

### DOWN

public static final short DOWN

See Also:
  - Constant Field Values

### HOME

public static final short HOME

See Also:
  - Constant Field Values

### ARY0

public static final short ARY0

See Also:
  - Constant Field Values

### ARY1

public static final short ARY1

See Also:
  - Constant Field Values

### ARY2

public static final short ARY2

See Also:
  - Constant Field Values

### ARY3

public static final short ARY3

See Also:
  - Constant Field Values

### WHAT

public static final short WHAT

See Also:
  - Constant Field Values

### LEAF

public static final short LEAF

See Also:
  - Constant Field Values

### PARENT

public static final short PARENT

See Also:
  - Constant Field Values

### SCALAR

public static final short SCALAR

See Also:
  - Constant Field Values

### STRUCTURE

public static final short STRUCTURE

See Also:
  - Constant Field Values

### FILE

public static final short FILE

See Also:
  - Constant Field Values

### DIRECTORY

public static final short DIRECTORY

See Also:
  - Constant Field Values

### NDF

public static final short NDF

See Also:
  - Constant Field Values

### ZIPFILE

public static final short ZIPFILE

See Also:
  - Constant Field Values

### ZIPBRANCH

public static final short ZIPBRANCH

See Also:
  - Constant Field Values

### WCS

public static final short WCS

See Also:
  - Constant Field Values

### FITS

public static final short FITS

See Also:
  - Constant Field Values

### HDU

public static final short HDU

See Also:
  - Constant Field Values

### FRAME

public static final short FRAME

See Also:
  - Constant Field Values

### SKYFRAME

public static final short SKYFRAME

See Also:
  - Constant Field Values

### HISTORY

public static final short HISTORY

See Also:
  - Constant Field Values

### HISTORY_RECORD

public static final short HISTORY_RECORD

See Also:
  - Constant Field Values

### TABLE

public static final short TABLE

See Also:
  - Constant Field Values

### TREE

public static final short TREE

See Also:
  - Constant Field Values

### ERROR

public static final short ERROR

See Also:
  - Constant Field Values

### XML_DOCUMENT

public static final short XML_DOCUMENT

See Also:
  - Constant Field Values

### XML_ELEMENT

public static final short XML_ELEMENT

See Also:
  - Constant Field Values

### XML_COMMENT

public static final short XML_COMMENT

See Also:
  - Constant Field Values

### XML_PI

public static final short XML_PI

See Also:
  - Constant Field Values

### XML_CDATA

public static final short XML_CDATA

See Also:
  - Constant Field Values

### XML_EREF

public static final short XML_EREF

See Also:
  - Constant Field Values

### XML_STRING

public static final short XML_STRING

See Also:
  - Constant Field Values

### XML_DTD

public static final short XML_DTD

See Also:
  - Constant Field Values

### NDX

public static final short NDX

See Also:
  - Constant Field Values

### HDX_CONTAINER

public static final short HDX_CONTAINER

See Also:
  - Constant Field Values

### TARFILE

public static final short TARFILE

See Also:
  - Constant Field Values

### TARBRANCH

public static final short TARBRANCH

See Also:
  - Constant Field Values

### COMPRESSED

public static final short COMPRESSED

See Also:
  - Constant Field Values

### DATA

public static final short DATA

See Also:
  - Constant Field Values

### VOTABLE

public static final short VOTABLE

See Also:
  - Constant Field Values

### VOCOMPONENT

public static final short VOCOMPONENT

See Also:
  - Constant Field Values

### SPECFRAME

public static final short SPECFRAME

See Also:
  - Constant Field Values

### MYSPACE

public static final short MYSPACE

See Also:
  - Constant Field Values

### HIERARCH

public static final short HIERARCH

See Also:
  - Constant Field Values

### SPLAT

public static final short SPLAT

See Also:
  - Constant Field Values

### SOG

public static final short SOG

See Also:
  - Constant Field Values

### TOPCAT

public static final short TOPCAT

See Also:
  - Constant Field Values

### HANDLE_EXPAND

public static final short HANDLE_EXPAND

See Also:
  - Constant Field Values

### HANDLE_COLLAPSE

public static final short HANDLE_COLLAPSE

See Also:
  - Constant Field Values

### TREE_LOGO

public static final short TREE_LOGO

See Also:
  - Constant Field Values

### STARLINK_LOGO

public static final short STARLINK_LOGO

See Also:
  - Constant Field Values

### HANDLE1

public static final short HANDLE1

See Also:
  - Constant Field Values

### HANDLE2

public static final short HANDLE2

See Also:
  - Constant Field Values

### STAR_LOGO

public static final short STAR_LOGO

See Also:
  - Constant Field Values

## Method Details

### getIcon

public static Icon getIcon(short id)
Gets the icon with the given ID.

Throws:
  `IllegalArgumentException` - if `id` is not one of the known icon identifiers

### getIconURL

public static URL getIconURL(short id)
Gets a URL for the icon with the given ID. Note that the return may be null if the icon does not have a gif (because it is acquired directly from the UIManager for instance).

Parameters:
  `id` - icon identifier
Returns:
  the URL of the icon, or null
Throws:
  `IllegalArgumentException` - if `id` is not one of the known icon identifiers

### getArrayIconID

public static short getArrayIconID(int ndim)